RalliesAPI

Introduction

OverviewReferenceSandbox
Retail Intent
AskQuestionsTopicsMoversSnapshot
Retail Positioning
HoldingsFlowsRotationOptions
AI Funds
TradesPositionsLeaderboardConsensus
Filings
SearchAskSummariesFinancialsMetrics
Miscellaneous
Screener
API reference/Retail Intent/Attention Movers
Contact us

Attention Movers

GET/retail/intent/movers

Rank fast-moving changes in ticker, topic, or question-theme attention.

Query Parameters

dimensionenumoptional
Allowed values: ticker, topic, theme
Default: ticker
Mover dimension. One of ticker, topic, or theme.
daysintegeroptional
Allowed values: 1, 3, 7, 14, 30, 90, 365
Default: 7
Lookback window in days.
baseline_daysintegeroptional
Allowed values: 1, 3, 7, 14, 30, 90, 365
Default: 30
Baseline comparison window in days.
sentimentenumoptional
Allowed values: bullish, bearish, mixed, neutral, unknown
Optional sentiment filter.
limitintegeroptional
Default: 25
Maximum number of rows to return.
Was this page helpful?
GET/retail/intent/movers
curl "https://api.rallies.ai/v1/retail/intent/movers?dimension=ticker&days=7&baseline_days=30&limit=25" \
  -H "X-Rallies-API-Key: $RALLIES_API_KEY"

RESPONSE

JSON
{
  "movers": [
    {
      "rank": 1,
      "dimension": "ticker",
      "value": "NVDA",
      "label": "NVDA",
      "conversation_share_pct": 11.2,
      "previous_share_pct": 4.8,
      "change_pct": 133.33,
      "trend": "surging",
      "sentiment": "mixed",
      "sentiment_breakdown_pct": {
        "bullish": 38.46,
        "bearish": 15.38,
        "mixed": 34.62,
        "neutral": 11.54
      }
    }
  ]
}